Magellan Linux

Annotation of /trunk/proftpd/patches/proftpd-1.3.1-find-umode_t.patch

Parent Directory Parent Directory | Revision Log Revision Log


Revision 505 - (hide annotations) (download)
Mon Mar 17 21:22:43 2008 UTC (16 years, 3 months ago) by niro
File size: 6600 byte(s)
-compile fix

1 niro 505 --- proftpd-1.3.1/configure.in 2007-05-22 21:54:09.000000000 +0100
2     +++ proftpd-1.3.1/configure.in 2007-12-10 15:33:27.000000000 +0000
3     @@ -1067,6 +1067,7 @@
4     AC_CHECK_HEADERS(regex.h)
5     AC_CHECK_HEADER(syslog.h,have_syslog_h="yes",)
6     AC_CHECK_HEADERS(curses.h ncurses.h)
7     +AC_CHECK_HEADERS(signal.h)
8    
9     dnl Check for the presence of the tzname, timezone, and daylight global
10     dnl variables.
11     --- proftpd-1.3.1/configure 2007-05-22 22:01:32.000000000 +0100
12     +++ proftpd-1.3.1/configure 2007-12-10 16:07:30.000000000 +0000
13     @@ -26922,6 +26922,155 @@
14     done
15    
16    
17     +for ac_header in signal.h
18     +do
19     +as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
20     +if eval "test \"\${$as_ac_Header+set}\" = set"; then
21     + echo "$as_me:$LINENO: checking for $ac_header" >&5
22     +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
23     +if eval "test \"\${$as_ac_Header+set}\" = set"; then
24     + echo $ECHO_N "(cached) $ECHO_C" >&6
25     +fi
26     +echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
27     +echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
28     +else
29     + # Is the header compilable?
30     +echo "$as_me:$LINENO: checking $ac_header usability" >&5
31     +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
32     +cat >conftest.$ac_ext <<_ACEOF
33     +/* confdefs.h. */
34     +_ACEOF
35     +cat confdefs.h >>conftest.$ac_ext
36     +cat >>conftest.$ac_ext <<_ACEOF
37     +/* end confdefs.h. */
38     +$ac_includes_default
39     +#include <$ac_header>
40     +_ACEOF
41     +rm -f conftest.$ac_objext
42     +if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
43     + (eval $ac_compile) 2>conftest.er1
44     + ac_status=$?
45     + grep -v '^ *+' conftest.er1 >conftest.err
46     + rm -f conftest.er1
47     + cat conftest.err >&5
48     + echo "$as_me:$LINENO: \$? = $ac_status" >&5
49     + (exit $ac_status); } &&
50     + { ac_try='test -z "$ac_c_werror_flag"
51     + || test ! -s conftest.err'
52     + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
53     + (eval $ac_try) 2>&5
54     + ac_status=$?
55     + echo "$as_me:$LINENO: \$? = $ac_status" >&5
56     + (exit $ac_status); }; } &&
57     + { ac_try='test -s conftest.$ac_objext'
58     + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
59     + (eval $ac_try) 2>&5
60     + ac_status=$?
61     + echo "$as_me:$LINENO: \$? = $ac_status" >&5
62     + (exit $ac_status); }; }; then
63     + ac_header_compiler=yes
64     +else
65     + echo "$as_me: failed program was:" >&5
66     +sed 's/^/| /' conftest.$ac_ext >&5
67     +
68     +ac_header_compiler=no
69     +fi
70     +rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
71     +echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
72     +echo "${ECHO_T}$ac_header_compiler" >&6
73     +
74     +# Is the header present?
75     +echo "$as_me:$LINENO: checking $ac_header presence" >&5
76     +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
77     +cat >conftest.$ac_ext <<_ACEOF
78     +/* confdefs.h. */
79     +_ACEOF
80     +cat confdefs.h >>conftest.$ac_ext
81     +cat >>conftest.$ac_ext <<_ACEOF
82     +/* end confdefs.h. */
83     +#include <$ac_header>
84     +_ACEOF
85     +if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
86     + (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
87     + ac_status=$?
88     + grep -v '^ *+' conftest.er1 >conftest.err
89     + rm -f conftest.er1
90     + cat conftest.err >&5
91     + echo "$as_me:$LINENO: \$? = $ac_status" >&5
92     + (exit $ac_status); } >/dev/null; then
93     + if test -s conftest.err; then
94     + ac_cpp_err=$ac_c_preproc_warn_flag
95     + ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
96     + else
97     + ac_cpp_err=
98     + fi
99     +else
100     + ac_cpp_err=yes
101     +fi
102     +if test -z "$ac_cpp_err"; then
103     + ac_header_preproc=yes
104     +else
105     + echo "$as_me: failed program was:" >&5
106     +sed 's/^/| /' conftest.$ac_ext >&5
107     +
108     + ac_header_preproc=no
109     +fi
110     +rm -f conftest.err conftest.$ac_ext
111     +echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
112     +echo "${ECHO_T}$ac_header_preproc" >&6
113     +
114     +# So? What about this header?
115     +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
116     + yes:no: )
117     + { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
118     +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
119     + { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
120     +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
121     + ac_header_preproc=yes
122     + ;;
123     + no:yes:* )
124     + { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
125     +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
126     + { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
127     +echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
128     + { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
129     +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
130     + { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
131     +echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
132     + { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
133     +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
134     + { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
135     +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
136     + (
137     + cat <<\_ASBOX
138     +## ------------------------------------------ ##
139     +## Report this to the AC_PACKAGE_NAME lists. ##
140     +## ------------------------------------------ ##
141     +_ASBOX
142     + ) |
143     + sed "s/^/$as_me: WARNING: /" >&2
144     + ;;
145     +esac
146     +echo "$as_me:$LINENO: checking for $ac_header" >&5
147     +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
148     +if eval "test \"\${$as_ac_Header+set}\" = set"; then
149     + echo $ECHO_N "(cached) $ECHO_C" >&6
150     +else
151     + eval "$as_ac_Header=\$ac_header_preproc"
152     +fi
153     +echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
154     +echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
155     +
156     +fi
157     +if test `eval echo '${'$as_ac_Header'}'` = yes; then
158     + cat >>confdefs.h <<_ACEOF
159     +#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
160     +_ACEOF
161     +
162     +fi
163     +
164     +done
165     +
166     echo "$as_me:$LINENO: checking for tzname global variable" >&5
167     echo $ECHO_N "checking for tzname global variable... $ECHO_C" >&6
168     cat >conftest.$ac_ext <<_ACEOF
169     @@ -30643,6 +30792,9 @@
170     cat >>conftest.$ac_ext <<_ACEOF
171     /* end confdefs.h. */
172     $ac_includes_default
173     +#if HAVE_SIGNAL_H
174     +#include <signal.h>
175     +#endif
176     int
177     main ()
178     {
179     --- proftpd-1.3.1/include/conf.h 2007-01-18 02:48:32.000000000 +0000
180     +++ proftpd-1.3.1/include/conf.h 2007-12-10 15:34:29.000000000 +0000
181     @@ -71,6 +71,10 @@
182     # include <unistd.h>
183     #endif
184    
185     +#ifdef HAVE_SIGNAL_H
186     +# include <signal.h>
187     +#endif
188     +
189     #ifdef HAVE_LIMITS_H
190     # include <limits.h>
191     #endif